## com.icl.saxon.exslt
Class Math

    java.lang.Object
      com.icl.saxon.exslt.Math

public abstract class Math
extends java.lang.Object

This class implements extension functions in the http://exslt.org/math namespace.

Constructor Summary
`Math()`

Method Summary
`static double` `abs(double x)` Get the absolute value of a numeric value (SStL)
`static double` `acos(double x)` Get the arccosine of a numeric value (SStL)
`static double` `asin(double x)` Get the arcsine of a numeric value (SStL)
`static double` `atan(double x)` Get the arctangent of a numeric value (SStL)
`static double` `atan2(double x, double y)` Converts rectangular coordinates to polar (SStL)
`static double` `constant(java.lang.String name, double precision)` Get a named constant to a given precision (SStL)
`static double` `cos(double x)` Get the cosine of a numeric value (SStL)
`static double` `exp(double x)` Get the exponential of a numeric value (SStL)
`static NodeSetValue` `highest(Context c, NodeEnumeration nsv)` Get the nodes with maximum numeric value of the string-value of each of a set of nodes
`static double` `log(double x)` Get the logarithm of a numeric value (SStL)
`static NodeSetValue` `lowest(Context c, NodeEnumeration nsv)` Get the node with minimum numeric value of the string-value of each of a set of nodes
`static double` `max(NodeEnumeration nsv)` Get the maximum numeric value of the string-value of each of a set of nodes
`static double` `min(NodeEnumeration nsv)` Get the minimum numeric value of the string-value of each of a set of nodes
`static double` `power(double x, double y)` Get the power of two numeric values (SStL)
`static double` `random()` Get a random numeric value (SStL)
`static double` `sin(double x)` Get the sine of a numeric value (SStL)
`static double` `sqrt(double x)` Get the square root of a numeric value (SStL)
`static double` `tan(double x)` Get the tangent of a numeric value (SStL)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Math

    public Math()

Method Detail

### max

    public static double max(NodeEnumeration nsv)
                      throws XPathException

  Get the maximum numeric value of the string-value of each of a set of nodes

  Throws:
    `XPathException`

### min

    public static double min(NodeEnumeration nsv)
                      throws XPathException

  Get the minimum numeric value of the string-value of each of a set of nodes

  Throws:
    `XPathException`

### highest

    public static NodeSetValue highest(Context c,
                                       NodeEnumeration nsv)
                                throws XPathException

  Get the nodes with maximum numeric value of the string-value of each of a set of nodes

  Throws:
    `XPathException`

### lowest

    public static NodeSetValue lowest(Context c,
                                      NodeEnumeration nsv)
                               throws XPathException

  Get the node with minimum numeric value of the string-value of each of a set of nodes

  Throws:
    `XPathException`

### abs

    public static double abs(double x)
                      throws XPathException

  Get the absolute value of a numeric value (SStL)

  Throws:
    `XPathException`

### sqrt

    public static double sqrt(double x)
                       throws XPathException

  Get the square root of a numeric value (SStL)

  Throws:
    `XPathException`

### power

    public static double power(double x,
                               double y)
                        throws XPathException

  Get the power of two numeric values (SStL)

  Throws:
    `XPathException`

### constant

    public static double constant(java.lang.String name,
                                  double precision)
                           throws XPathException

  Get a named constant to a given precision (SStL)

  Throws:
    `XPathException`

### log

    public static double log(double x)
                      throws XPathException

  Get the logarithm of a numeric value (SStL)

  Throws:
    `XPathException`

### random

    public static double random()
                         throws XPathException

  Get a random numeric value (SStL)

  Throws:
    `XPathException`

### sin

    public static double sin(double x)
                      throws XPathException

  Get the sine of a numeric value (SStL)

  Throws:
    `XPathException`

### cos

    public static double cos(double x)
                      throws XPathException

  Get the cosine of a numeric value (SStL)

  Throws:
    `XPathException`

### tan

    public static double tan(double x)
                      throws XPathException

  Get the tangent of a numeric value (SStL)

  Throws:
    `XPathException`

### asin

    public static double asin(double x)
                       throws XPathException

  Get the arcsine of a numeric value (SStL)

  Throws:
    `XPathException`

### acos

    public static double acos(double x)
                       throws XPathException

  Get the arccosine of a numeric value (SStL)

  Throws:
    `XPathException`

### atan

    public static double atan(double x)
                       throws XPathException

  Get the arctangent of a numeric value (SStL)

  Throws:
    `XPathException`

### atan2

    public static double atan2(double x,
                               double y)
                        throws XPathException

  Converts rectangular coordinates to polar (SStL)

  Throws:
    `XPathException`

### exp

    public static double exp(double x)
                      throws XPathException

  Get the exponential of a numeric value (SStL)

  Throws:
    `XPathException`